.block-text-with-image {
  display: grid;
  grid-gap: var(--spacing-lg);
  align-items: center;
}

.block-text-with-image__image {
  order: -1;
  display: flex;
  justify-content: center;
}

@media (min-width: 768px) {
  .block-text-with-image {
    grid-template-columns: repeat(2, 1fr);
  }

  .block-text-with-image__image {
    order: initial;
  }
}
